# $Revision: 1.33 $, $Date: 2005/08/01 19:40:06 $
Summary:	RDP client for accessing Windows NT Terminal Server
Summary(pl):	Klient RDP umoliwiajcy dostp do Terminal Serwera WinNT
Name:		rdesktop
Version:	1.4.1
Release:	2
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://dl.sourceforge.net/rdesktop/%{name}-%{version}.tar.gz
# Source0-md5:	78dd2bae04edf1cb9f65c29930dcc993
URL:		http://www.rdesktop.org/
BuildRequires:	XFree86-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rdesktop is an open source client for Windows NT or Windows 2000
Terminal Server, capable of natively speaking its Remote Desktop
Protocol (RDP) in order to present the user's NT desktop. Unlike
Citrix ICA, no server extensions are required.

%description -l pl
rdesktop jest klientem natywnie uywajcym protokou RDP (Remote
Desktop Protocol) umoliwiajcego dostp do Terminal Servera Windows
NT lub Windows 2000. W przeciwiestwie do rozwiza typu Citrix nie s
wymagane adne rozszerzenia po stronie serwera.

%prep
%setup -q

%build
./configure \
	--mandir=%{_mandir} \
	--prefix=%{_prefix}

cat >>Makeconf <<EOF
CFLAGS+=%{rpmcflags}
LDFLAGS+=%{rpmldflags} -L/usr/X11R6/%{_lib}
EOF

%{__make} \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/
%attr(755,root,root) %{_bindir}/rdesktop
%attr(755,root,root) %{_datadir}/rdesktop
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rdesktop.spec,v $
Revision 1.33  2005/08/01 19:40:06  zawadaa
- rel 2; rebuild with new openssl, needed on amd64
- STBR

Revision 1.32  2005/05/08 23:08:02  aredridel
- up to 1.4.1

Revision 1.31  2005/03/07 04:52:19  aredridel
- up to 1.4.0

Revision 1.30  2004/10/04 15:57:04  misi3k
- rel 4
- added krdc patch from kde-cvs

Revision 1.29  2004/08/19 07:34:57  qboosh
- removed invalid _prefix macro usage

Revision 1.28  2004/08/18 16:45:49  undefine
- add cflags/ldflags to compiler

Revision 1.27  2004/08/18 16:26:35  undefine
- release 3

Revision 1.26  2004/03/19 23:46:35  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.25  2004/02/04 14:37:36  undefine
- release 2 for ac

Revision 1.24  2004/01/22 19:16:27  areq
- 1.3.1

Revision 1.23  2003/12/04 16:24:03  ankry
- formatting

Revision 1.22  2003/12/02 21:10:48  marcus
- patches were for 1.1.0 not 1.3.0
- rel.2. for ac.

Revision 1.21  2003/10/30 20:28:41  areq
- 1.3.0

Revision 1.20  2003/10/01 07:34:48  qboosh
- look what you are doing - don't fake changelog entries!; restored

Revision 1.19  2003/09/30 20:18:33  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.18  2003/08/18 08:09:31  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.17  2003/05/28 13:01:37  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:26:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/04/08 14:07:28  qboosh
- use http for sources from sourceforge

Revision 1.14  2003/02/16 19:55:05  pawel
- uncommented BuildRequires:  openssl-devel >= 0.9.7 (my mistake)

Revision 1.13  2003/02/16 18:45:38  pawel
- updated to 1.2.0

Revision 1.12  2003/02/13 14:05:24  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.11  2003/01/18 22:56:18  juandon
- removed two lines with define

Revision 1.10  2002/06/28 09:06:09  zagrodzki
- updated description

Revision 1.9  2002/06/18 11:53:38  qboosh
- updated patch to 19-8-5
- added srvr subpackage for testing purposes
- opt+DESTDIR patch for optflags and DESTDIR support
- this version uses openssl instead of gmp
- new %%doc etc., release 1

Revision 1.8  2002/04/02 19:14:18  qwark
new version 1.1 review of patches
please test it specialy on arch<>x86

Revision 1.7  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:14:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2002/01/06 15:35:51  misiek
- use %%{__cc}

Revision 1.4  2001/08/11 18:25:53  kloczek
- release 1.pl19: rebuild against gmp 3.1.1.

Revision 1.3  2001/05/08 20:47:27  misiek
- use glibc endian detection to fix sparc compilation

Revision 1.2  2001/05/08 20:34:47  kloczek
- cosmetics (NOTE: it will be good prepare desktop file :).

Revision 1.1  2001/05/08 19:53:19  misiek
- RDP client for accessing Windows NT Terminal Server
- initial pld release
